<?php


namespace Schaffen\Financial\Price\Repositories;


use Freelabois\LaravelQuickstart\Extendables\Repository;
use Schaffen\Financial\Price\Models\ProductPrice;

class ProductPriceRepository extends Repository
{
    protected $model = ProductPrice::class;
    protected $searchableFields = [
        ['field' => 'tpp_fk_tap_codigo']
    ];

    protected function applyCustomFilters()
    {
        extract($this->filters);
    }
}